Index: code/branches/cpp11_v2/src/modules/docking/Dock.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/docking/Dock.cc	(revision 10765)
@@ -87,8 +87,8 @@
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -103,5 +103,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -131,8 +131,8 @@
     {
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -147,5 +147,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -315,5 +315,5 @@
             }
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -333,5 +333,5 @@
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -352,5 +352,5 @@
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/docking/DockToShip.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/docking/DockToShip.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/docking/DockToShip.cc	(revision 10765)
@@ -72,5 +72,5 @@
 
         DockingTarget *target = DockingEffect::findTarget(this->target_);
-        if (target == NULL) {
+        if (target == nullptr) {
             orxout(internal_warning, context::docking) << "Can't retrieve target for '" << this->target_ << "'.." << endl;
             return false;
@@ -78,5 +78,5 @@
 
         ControllableEntity *dockTo = (ControllableEntity*) target->getParent();
-        if (dockTo == NULL) {
+        if (dockTo == nullptr) {
             orxout(internal_warning, context::docking) << "Parent is not a ControllableEntity.." << endl;
             return false;
Index: code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/docking/DockingAnimation.cc	(revision 10765)
@@ -45,5 +45,5 @@
         RegisterObject(DockingAnimation);
 
-        this->parent_ = NULL;
+        this->parent_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/docking/DockingController.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/docking/DockingController.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/docking/DockingController.cc	(revision 10765)
@@ -44,7 +44,7 @@
         RegisterObject(DockingController);
 
-        this->dock_ = NULL;
-        this->player_ = NULL;
-        this->entity_ = NULL;
+        this->dock_ = nullptr;
+        this->player_ = nullptr;
+        this->entity_ = nullptr;
     }
 
@@ -122,5 +122,5 @@
         this->player_->startControl(this->entity_);
         this->setActive(false);
-        this->controllableEntity_ = NULL;
+        this->controllableEntity_ = nullptr;
 
         if (this->docking_)
Index: code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/docking/DockingEffect.cc	(revision 10765)
@@ -70,5 +70,5 @@
                 return (*it);
         }
-        return NULL;
+        return nullptr;
     }
 }
